Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154230 - Missing created/modified defaults and triggers
Summary: Missing created/modified defaults and triggers
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Other
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mike McCune
QA Contact: Vlady Zlatkin
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-08 16:40 UTC by Mike McCune
Modified: 2007-10-24 02:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-30 20:52:29 UTC


Attachments (Terms of Use)

Description Mike McCune 2005-04-08 16:40:09 UTC
While working on the Java re-write we have noticed that there are some tables
that are missing the triggers for created/modified or are missing the DEFAULT
(sysdate).  This is inconsistent and forces code to have to work around this
problem for specific tables (have to do INSERTs differently for these tables
lacking the default).

The first one on the list is:

rhnServerAction (missing mod trigger)

Kganong reported rhnCPU but it looked OK to me.

Add comments as we find more tables.

Comment 1 Mike McCune 2005-09-30 20:52:29 UTC
re-open this if we find more, or file specific bugs for the tables found.


Note You need to log in before you can comment on or make changes to this bug.